// FSDropViews.h 

#include <Box.h>

#ifndef __EDIT_VIEW_H__
#define __EDIT_VIEW_H__

class EditView : public BBox
{
public:
					EditView	(entry_ref a_ref);
					~EditView	();

	virtual void	MessageReceived 	(BMessage * a_message);
	virtual void 	AllAttached			(void);
	virtual	void	Draw				(BRect updateRect);
	virtual	void	FrameResized		(float width, float height);

protected:
private:
			void	Save				(void);
			void	Init				(void);
			void	OpenInTerminalOnOff	(void);
	
	BButton	*		m_cancel;
	BButton	*	 	m_save;
	BTextControl *	current_dir;
	BTextControl *	arguments;
	BCheckBox 	*	keep_open;
	
	entry_ref		m_ref;
	BBitmap		*	m_bitmap;
	
	BCheckBox	*	m_open_in_terminal;
	
};

#endif

